# node packages
fs = require('fs')
path = require('path')

# atom packages
{app, ipc, BrowserWindow} = {}

try
  app = require('app')
  ipc = require('ipc')
  BrowserWindow = require('browser-window')
  require('crash-reporter').start()
catch e
  {app, ipc, BrowserWindow, crashReporter} = require('electron')
  # crashReporter.start()

# libs
semver = require('semver')
mainWindow = null

getRootPath = ->
  if process.env.KOBITO_SHELL_ENV is 'development'
    path.join 'file://', __dirname, "dev/public/"
  else
    asarPaths =
      fs.readdirSync(path.join __dirname, "versions/")
        .filter((fname) -> fname.indexOf('asar') > -1)
        .sort (a, b) ->
          na = a.replace '.asar', ''
          nb = b.replace '.asar', ''
          semver.gt(na, nb)
    latestAsarPath = asarPaths[asarPaths.length - 1]
    path.join 'file://', __dirname, "versions/#{latestAsarPath}/"

app.on 'window-all-closed', () => app.quit()
app.on 'ready', ->
  app.commandLine.appendSwitch('js-flags', '--harmony')
  mainWindow = new BrowserWindow width: 1280, height: 800

  rootPath = getRootPath()
  bootPath =
    if process.env.KOBITO_SHELL_ENV is 'development'
      rootPath + "/index-dev.html"
    else
      rootPath + "/index-atom-shell.html"

  try
    mainWindow.loadUrl(bootPath)
  catch e
    mainWindow.loadURL(bootPath)
