// Generated by CoffeeScript 1.10.0
(function() {
  var BrowserWindow, app, crashReporter, e, error, fs, getRootPath, ipc, mainWindow, path, ref, ref1, semver;

  fs = require('fs');

  path = require('path');

  ref = {}, app = ref.app, ipc = ref.ipc, BrowserWindow = ref.BrowserWindow;

  try {
    app = require('app');
    ipc = require('ipc');
    BrowserWindow = require('browser-window');
    require('crash-reporter').start();
  } catch (error) {
    e = error;
    ref1 = require('electron'), app = ref1.app, ipc = ref1.ipc, BrowserWindow = ref1.BrowserWindow, crashReporter = ref1.crashReporter;
  }

  semver = require('semver');

  mainWindow = null;

  getRootPath = function() {
    var asarPaths, latestAsarPath;
    if (process.env.KOBITO_SHELL_ENV === 'development') {
      return path.join('file://', __dirname, "dev/public/");
    } else {
      asarPaths = fs.readdirSync(path.join(__dirname, "versions/")).filter(function(fname) {
        return fname.indexOf('asar') > -1;
      }).sort(function(a, b) {
        var na, nb;
        na = a.replace('.asar', '');
        nb = b.replace('.asar', '');
        return semver.gt(na, nb);
      });
      latestAsarPath = asarPaths[asarPaths.length - 1];
      return path.join('file://', __dirname, "versions/" + latestAsarPath + "/");
    }
  };

  app.on('window-all-closed', (function(_this) {
    return function() {
      return app.quit();
    };
  })(this));

  app.on('ready', function() {
    var bootPath, error1, rootPath;
    app.commandLine.appendSwitch('js-flags', '--harmony');
    mainWindow = new BrowserWindow({
      width: 1280,
      height: 800
    });
    rootPath = getRootPath();
    bootPath = process.env.KOBITO_SHELL_ENV === 'development' ? rootPath + "/index-dev.html" : rootPath + "/index-atom-shell.html";
    try {
      return mainWindow.loadUrl(bootPath);
    } catch (error1) {
      e = error1;
      return mainWindow.loadURL(bootPath);
    }
  });

}).call(this);
